routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});


Route::group(['namespace' => 'Client'], function () {
    Route::resource('orders', 'OrderController');
});

app/Models/Graveyard.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Graveyard extends Model
{
    protected $table = 'graveyards';

    protected $fillable = [
        'title',
        'status'
    ];
}

app/Models/Order.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    protected $table = 'orders';
    protected $fillable = [
        'user_id',
        'operator_id',
        'service_id',
        'graveyard_id',
        'body',
        'grave_number'
    ];
}

app/Models/Service.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Service extends Model
{
    protected $table = 'services';

    protected $fillable = [
        'title',
        'status'
    ];
}

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Client/OrderController.php
<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Http\Requests\OrderRequest;
use App\Repositories\GraveyardRepository;
use App\Repositories\OrderRepository;
use App\Repositories\ServiceRepository;
use Illuminate\Http\Request;

class OrderController extends Controller
{
    /**
     * @var ServiceRepository
     */
    private $serviceRepository;
    /**
     * @var GraveyardRepository
     */
    private $graveyardRepository;
    /**
     * @var OrderRepository
     */
    private $orderRepository;

    /**
     * OrderController constructor.
     * @param ServiceRepository $serviceRepository
     * @param GraveyardRepository $graveyardRepository
     * @param OrderRepository $orderRepository
     */
    public function __construct(ServiceRepository $serviceRepository,
                                GraveyardRepository $graveyardRepository,
                                OrderRepository $orderRepository
    )
    {
        $this->serviceRepository = $serviceRepository;
        $this->graveyardRepository = $graveyardRepository;
        $this->orderRepository = $orderRepository;
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        dd('submit successful');
    }

    /**
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function create()
    {
        $services = $this->serviceRepository->fetchAll();
        $graveyards = $this->graveyardRepository->fetchAll();

        return view('client.order.form', compact('services', 'graveyards'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(OrderRequest $request)
    {
        $inputs = $request->only([
            'service_id',
            'graveyard_id',
            'body',
            'grave_number']);
        $inputs['user_id'] = 1;
        $order = $this->orderRepository->create($inputs);
        dd($order);
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

resources/views/client/order/form.blade.php
@extends('master')

@section('title', 'create new order')

@section('content')
    @if ($errors->any())
        <div class="alert alert-danger" role="alert">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{$error}}</li>
                @endforeach
            </ul>
        </div>

    @endif

    <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">Panel title</h3>
        </div>
        <div class="panel-body">
            <form class="form-horizontal" method="post" action="{{ route('orders.store') }}">
                {{ csrf_field() }}
                <div class="form-group">
                    <label for="service">service</label>
                    <select name="service_id" id="service" class="form-control">
                        @foreach($services as $service)
                            <option value="{{ $service->id }}">{{ $service->title }}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <label for="graveyard">graveyard</label>
                    <select name="graveyard_id" id="graveyard" class="form-control">
                        @foreach($graveyards as $graveyard)
                            <option value="{{ $graveyard->id }}">{{ $graveyard->title }}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <textarea name="body" class="form-control" rows="3" placeholder="plz enter your order description"></textarea>
                </div>
                <div class="form-group">
                    <label for="grave_number" class="col-sm-2 control-label">grave number</label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" name="grave_number" id="grave_number" placeholder="grave number">
                    </div>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-primary">submit</button>
                </div>
            </form>

        </div>


    </div>
@endsection

resources/views/master.blade.php
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>@yield('title')</title>

    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" crossorigin="anonymous">

    @yield('style')
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
    <div class="container">
        @yield('content')
    </div>
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="https://code.jquery.com/jquery-1.12.4.min.js" integrity="sha384-nvAa0+6Qg9clwYCGGPpDQLVpLNn0fRaROjHqs13t4Ggj3Ez50XnGQqc/r8MhnRDZ" crossorigin="anonymous"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha384-aJ21OjlMXNL5UyIl/XNwTMqvzeRMZH2w8c5cRVpzpU8Y5bApTppSuUkhZXN0VxHd" crossorigin="anonymous"></script>

    @yield('script')
</body>
</html>